Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.Designer.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.Designer.cs	(revision 267)
@@ -7039,10 +6554,10 @@
             this.btnAffairs0203.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0203.Location = new System.Drawing.Point(726, 255);
+            this.btnAffairs0203.Location = new System.Drawing.Point(750, 255);
             this.btnAffairs0203.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0203.Name = "btnAffairs0203";
-            this.btnAffairs0203.Size = new System.Drawing.Size(183, 30);
+            this.btnAffairs0203.Size = new System.Drawing.Size(189, 30);
             this.btnAffairs0203.TabIndex = 0;
             this.btnAffairs0203.UseVisualStyleBackColor = true;
             this.btnAffairs0203.Click += new System.EventHandler(this.btnAffairs_Click);
@@ -7052,10 +6567,10 @@
             this.btnAffairs0204.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0204.Location = new System.Drawing.Point(933, 255);
+            this.btnAffairs0204.Location = new System.Drawing.Point(964, 255);
             this.btnAffairs0204.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0204.Name = "btnAffairs0204";
-            this.btnAffairs0204.Size = new System.Drawing.Size(189, 30);
+            this.btnAffairs0204.Size = new System.Drawing.Size(192, 30);
             this.btnAffairs0204.TabIndex = 0;
             this.btnAffairs0204.Text = "各社員出勤情報閲覧";
             this.btnAffairs0204.UseVisualStyleBackColor = true;
@@ -7066,10 +6581,10 @@
             this.btnAffairs0303.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0303.Location = new System.Drawing.Point(726, 327);
+            this.btnAffairs0303.Location = new System.Drawing.Point(750, 327);
             this.btnAffairs0303.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0303.Name = "btnAffairs0303";
-            this.btnAffairs0303.Size = new System.Drawing.Size(183, 30);
+            this.btnAffairs0303.Size = new System.Drawing.Size(189, 30);
             this.btnAffairs0303.TabIndex = 0;
             this.btnAffairs0303.UseVisualStyleBackColor = true;
             this.btnAffairs0303.Click += new System.EventHandler(this.btnAffairs_Click);
@@ -7079,10 +6594,10 @@
             this.btnAffairs0304.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0304.Location = new System.Drawing.Point(933, 327);
+            this.btnAffairs0304.Location = new System.Drawing.Point(964, 327);
             this.btnAffairs0304.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0304.Name = "btnAffairs0304";
-            this.btnAffairs0304.Size = new System.Drawing.Size(189, 30);
+            this.btnAffairs0304.Size = new System.Drawing.Size(192, 30);
             this.btnAffairs0304.TabIndex = 0;
             this.btnAffairs0304.UseVisualStyleBackColor = true;
             this.btnAffairs0304.Click += new System.EventHandler(this.btnAffairs_Click);
@@ -7094,7 +6609,7 @@
             this.tblLayoutAffairs.SetColumnSpan(this.lblAffairsLine02, 10);
             this.lblAffairsLine02.Location = new System.Drawing.Point(3, 411);
             this.lblAffairsLine02.Name = "lblAffairsLine02";
-            this.lblAffairsLine02.Size = new System.Drawing.Size(1120, 6);
+            this.lblAffairsLine02.Size = new System.Drawing.Size(1154, 6);
             this.lblAffairsLine02.TabIndex = 20;
             // 
             // btnAffairs0400
@@ -7102,10 +6617,10 @@
             this.btnAffairs0400.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0400.Location = new System.Drawing.Point(105, 471);
+            this.btnAffairs0400.Location = new System.Drawing.Point(108, 471);
             this.btnAffairs0400.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0400.Name = "btnAffairs0400";
-            this.btnAffairs0400.Size = new System.Drawing.Size(183, 30);
+            this.btnAffairs0400.Size = new System.Drawing.Size(189, 30);
             this.btnAffairs0400.TabIndex = 0;
             this.btnAffairs0400.Text = "手間支払確認";
             this.btnAffairs0400.UseVisualStyleBackColor = true;
@@ -7116,10 +6631,10 @@
             this.btnAffairs0401.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0401.Location = new System.Drawing.Point(312, 471);
+            this.btnAffairs0401.Location = new System.Drawing.Point(322, 471);
             this.btnAffairs0401.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0401.Name = "btnAffairs0401";
-            this.btnAffairs0401.Size = new System.Drawing.Size(183, 30);
+            this.btnAffairs0401.Size = new System.Drawing.Size(189, 30);
             this.btnAffairs0401.TabIndex = 0;
             this.btnAffairs0401.Text = "業者支払確認";
             this.btnAffairs0401.UseVisualStyleBackColor = true;
@@ -7130,10 +6645,10 @@
             this.btnAffairs0402.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0402.Location = new System.Drawing.Point(519, 471);
+            this.btnAffairs0402.Location = new System.Drawing.Point(536, 471);
             this.btnAffairs0402.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0402.Name = "btnAffairs0402";
-            this.btnAffairs0402.Size = new System.Drawing.Size(183, 30);
+            this.btnAffairs0402.Size = new System.Drawing.Size(189, 30);
             this.btnAffairs0402.TabIndex = 0;
             this.btnAffairs0402.UseVisualStyleBackColor = true;
             this.btnAffairs0402.Click += new System.EventHandler(this.btnAffairs_Click);
@@ -7143,10 +6658,10 @@
             this.btnAffairs0403.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0403.Location = new System.Drawing.Point(726, 471);
+            this.btnAffairs0403.Location = new System.Drawing.Point(750, 471);
             this.btnAffairs0403.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0403.Name = "btnAffairs0403";
-            this.btnAffairs0403.Size = new System.Drawing.Size(183, 30);
+            this.btnAffairs0403.Size = new System.Drawing.Size(189, 30);
             this.btnAffairs0403.TabIndex = 0;
             this.btnAffairs0403.UseVisualStyleBackColor = true;
             this.btnAffairs0403.Click += new System.EventHandler(this.btnAffairs_Click);
@@ -7156,10 +6671,10 @@
             this.btnAffairs0404.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0404.Location = new System.Drawing.Point(933, 471);
+            this.btnAffairs0404.Location = new System.Drawing.Point(964, 471);
             this.btnAffairs0404.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0404.Name = "btnAffairs0404";
-            this.btnAffairs0404.Size = new System.Drawing.Size(189, 30);
+            this.btnAffairs0404.Size = new System.Drawing.Size(192, 30);
             this.btnAffairs0404.TabIndex = 0;
             this.btnAffairs0404.Text = "取引先入金入力";
             this.btnAffairs0404.UseVisualStyleBackColor = true;
@@ -7172,9 +6687,9 @@
             | System.Windows.Forms.AnchorStyles.Right)));
             this.lblAffairsTitle03.AutoSize = true;
             this.lblAffairsTitle03.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.lblAffairsTitle03.Location = new System.Drawing.Point(104, 432);
+            this.lblAffairsTitle03.Location = new System.Drawing.Point(107, 432);
             this.lblAffairsTitle03.Name = "lblAffairsTitle03";
-            this.lblAffairsTitle03.Size = new System.Drawing.Size(185, 36);
+            this.lblAffairsTitle03.Size = new System.Drawing.Size(191, 36);
             this.lblAffairsTitle03.TabIndex = 18;
             this.lblAffairsTitle03.Text = "請求関係入力管理";
             this.lblAffairsTitle03.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
@@ -7188,7 +6703,7 @@
             this.lblAffairs04.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.lblAffairs04.Location = new System.Drawing.Point(3, 468);
             this.lblAffairs04.Name = "lblAffairs04";
-            this.lblAffairs04.Size = new System.Drawing.Size(95, 36);
+            this.lblAffairs04.Size = new System.Drawing.Size(98, 36);
             this.lblAffairs04.TabIndex = 19;
             this.lblAffairs04.Text = "毎月";
             this.lblAffairs04.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
@@ -7200,7 +6715,7 @@
             this.tblLayoutAffairs.SetColumnSpan(this.lblAffairsLine03, 10);
             this.lblAffairsLine03.Location = new System.Drawing.Point(3, 555);
             this.lblAffairsLine03.Name = "lblAffairsLine03";
-            this.lblAffairsLine03.Size = new System.Drawing.Size(1120, 6);
+            this.lblAffairsLine03.Size = new System.Drawing.Size(1154, 6);
             this.lblAffairsLine03.TabIndex = 20;
             // 
             // lblAffairsTitle04
@@ -7210,9 +6725,9 @@
             | System.Windows.Forms.AnchorStyles.Right)));
             this.lblAffairsTitle04.AutoSize = true;
             this.lblAffairsTitle04.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.lblAffairsTitle04.Location = new System.Drawing.Point(104, 576);
+            this.lblAffairsTitle04.Location = new System.Drawing.Point(107, 576);
             this.lblAffairsTitle04.Name = "lblAffairsTitle04";
-            this.lblAffairsTitle04.Size = new System.Drawing.Size(185, 36);
+            this.lblAffairsTitle04.Size = new System.Drawing.Size(191, 36);
             this.lblAffairsTitle04.TabIndex = 18;
             this.lblAffairsTitle04.Text = "その他管理";
             this.lblAffairsTitle04.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
@@ -7222,10 +6737,10 @@
             this.btnAffairs0500.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0500.Location = new System.Drawing.Point(105, 615);
+            this.btnAffairs0500.Location = new System.Drawing.Point(108, 615);
             this.btnAffairs0500.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0500.Name = "btnAffairs0500";
-            this.btnAffairs0500.Size = new System.Drawing.Size(183, 30);
+            this.btnAffairs0500.Size = new System.Drawing.Size(189, 30);
             this.btnAffairs0500.TabIndex = 0;
             this.btnAffairs0500.Text = "出納帳入力";
             this.btnAffairs0500.UseVisualStyleBackColor = true;
@@ -7239,9 +6754,9 @@
             this.lblAffairs0402.AutoSize = true;
             this.lblAffairs0402.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.lblAffairs0402.ForeColor = System.Drawing.Color.Brown;
-            this.lblAffairs0402.Location = new System.Drawing.Point(104, 504);
+            this.lblAffairs0402.Location = new System.Drawing.Point(107, 504);
             this.lblAffairs0402.Name = "lblAffairs0402";
-            this.lblAffairs0402.Size = new System.Drawing.Size(185, 36);
+            this.lblAffairs0402.Size = new System.Drawing.Size(191, 36);
             this.lblAffairs0402.TabIndex = 18;
             this.lblAffairs0402.Text = "※到着後速やかに入力";
             this.lblAffairs0402.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
@@ -7254,9 +6769,9 @@
             this.lblAffairs0403.AutoSize = true;
             this.lblAffairs0403.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.lblAffairs0403.ForeColor = System.Drawing.Color.Brown;
-            this.lblAffairs0403.Location = new System.Drawing.Point(311, 504);
+            this.lblAffairs0403.Location = new System.Drawing.Point(321, 504);
             this.lblAffairs0403.Name = "lblAffairs0403";
-            this.lblAffairs0403.Size = new System.Drawing.Size(185, 36);
+            this.lblAffairs0403.Size = new System.Drawing.Size(191, 36);
             this.lblAffairs0403.TabIndex = 18;
             this.lblAffairs0403.Text = "※到着後速やかに入力";
             this.lblAffairs0403.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
@@ -7269,9 +6784,9 @@
             this.lblAffairs0404.AutoSize = true;
             this.lblAffairs0404.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.lblAffairs0404.ForeColor = System.Drawing.Color.Brown;
-            this.lblAffairs0404.Location = new System.Drawing.Point(932, 504);
+            this.lblAffairs0404.Location = new System.Drawing.Point(963, 504);
             this.lblAffairs0404.Name = "lblAffairs0404";
-            this.lblAffairs0404.Size = new System.Drawing.Size(191, 36);
+            this.lblAffairs0404.Size = new System.Drawing.Size(194, 36);
             this.lblAffairs0404.TabIndex = 18;
             this.lblAffairs0404.Text = "※到着後速やかに入力";
             this.lblAffairs0404.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
@@ -7281,10 +6796,10 @@
             this.btnAffairs0501.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnAffairs0501.Location = new System.Drawing.Point(312, 615);
+            this.btnAffairs0501.Location = new System.Drawing.Point(322, 615);
             this.btnAffairs0501.Margin = new System.Windows.Forms.Padding(4, 3, 4, 3);
             this.btnAffairs0501.Name = "btnAffairs0501";
-            this.btnAffairs0501.Size = new System.Drawing.Size(183, 30);
+            this.btnAffairs0501.Size = new System.Drawing.Size(189, 30);
             this.btnAffairs0501.TabIndex = 0;
             this.btnAffairs0501.Text = "資材一覧";
             this.btnAffairs0501.UseVisualStyleBackColor = true;
@@ -7647,6 +7162,29 @@
             this.tblLayoutMaster.TabIndex = 14;
             this.tblLayoutMaster.MouseEnter += new System.EventHandler(this.tblLayoutMaster_MouseEnter);
             // 
+            // btnReLoadData
+            // 
+            this.btnReLoadData.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnReLoadData.BackColor = System.Drawing.Color.SpringGreen;
+            this.btnReLoadData.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnReLoadData.Location = new System.Drawing.Point(1086, 638);
+            this.btnReLoadData.Name = "btnReLoadData";
+            this.btnReLoadData.Size = new System.Drawing.Size(120, 30);
+            this.btnReLoadData.TabIndex = 29;
+            this.btnReLoadData.TabStop = false;
+            this.btnReLoadData.Text = "最新の状態へ";
+            this.btnReLoadData.UseVisualStyleBackColor = false;
+            this.btnReLoadData.Click += new System.EventHandler(this.btnReLoadData_Click);
+            // 
+            // MainProgressBar
+            // 
+            this.MainProgressBar.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.MainProgressBar.Location = new System.Drawing.Point(5, 632);
+            this.MainProgressBar.Name = "MainProgressBar";
+            this.MainProgressBar.Size = new System.Drawing.Size(600, 43);
+            this.MainProgressBar.TabIndex = 44;
+            this.MainProgressBar.Visible = false;
+            // 
             // lblDate
             // 
             this.lblDate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
@@ -7690,21 +7228,36 @@
             this.timer_StaffAssign.Interval = 50;
             this.timer_StaffAssign.Tick += new System.EventHandler(this.timer_StaffAssign_Tick);
             // 
-            // btnDataCopyE
+            // btnDataCopy
             // 
-            this.btnDataCopyE.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnDataCopyE.BackColor = System.Drawing.Color.DarkOrange;
-            this.btnDataCopyE.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnDataCopyE.ForeColor = System.Drawing.Color.Black;
-            this.btnDataCopyE.Location = new System.Drawing.Point(820, 638);
-            this.btnDataCopyE.Name = "btnDataCopyE";
-            this.btnDataCopyE.Size = new System.Drawing.Size(260, 30);
-            this.btnDataCopyE.TabIndex = 29;
-            this.btnDataCopyE.Text = "既存工事からコピー登録";
-            this.btnDataCopyE.UseVisualStyleBackColor = false;
-            this.btnDataCopyE.Visible = false;
-            this.btnDataCopyE.Click += new System.EventHandler(this.btnDataCopy_Click);
+            this.btnDataCopy.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnDataCopy.BackColor = System.Drawing.Color.DarkOrange;
+            this.btnDataCopy.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDataCopy.ForeColor = System.Drawing.Color.Black;
+            this.btnDataCopy.Location = new System.Drawing.Point(820, 638);
+            this.btnDataCopy.Name = "btnDataCopy";
+            this.btnDataCopy.Size = new System.Drawing.Size(260, 30);
+            this.btnDataCopy.TabIndex = 29;
+            this.btnDataCopy.Text = "既存工事からコピー登録";
+            this.btnDataCopy.UseVisualStyleBackColor = false;
+            this.btnDataCopy.Visible = false;
+            this.btnDataCopy.Click += new System.EventHandler(this.btnDataCopy_Click);
             // 
+            // btnConstrSearch
+            // 
+            this.btnConstrSearch.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnConstrSearch.BackColor = System.Drawing.Color.Olive;
+            this.btnConstrSearch.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnConstrSearch.ForeColor = System.Drawing.Color.White;
+            this.btnConstrSearch.Location = new System.Drawing.Point(133, 638);
+            this.btnConstrSearch.Name = "btnConstrSearch";
+            this.btnConstrSearch.Size = new System.Drawing.Size(120, 30);
+            this.btnConstrSearch.TabIndex = 29;
+            this.btnConstrSearch.TabStop = false;
+            this.btnConstrSearch.Text = "工事検索";
+            this.btnConstrSearch.UseVisualStyleBackColor = false;
+            this.btnConstrSearch.Click += new System.EventHandler(this.btnConstrSearch_Click);
+            // 
             // FrmMenu
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -7712,13 +7265,16 @@
             this.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1220, 682);
+            this.Controls.Add(this.btnConstrSearch);
+            this.Controls.Add(this.btnReLoadData);
             this.Controls.Add(this.btnLogOut);
-            this.Controls.Add(this.btnDataCopyE);
+            this.Controls.Add(this.btnDataCopy);
             this.Controls.Add(this.lblVersion);
             this.Controls.Add(this.lblDate);
             this.Controls.Add(this.tabMenu);
             this.Controls.Add(this.btnEnd);
             this.Controls.Add(this.lblTitle);
+            this.Controls.Add(this.MainProgressBar);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.ForeColor = System.Drawing.Color.Black;
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
@@ -7829,28 +7385,19 @@
         private System.Windows.Forms.TabPage tabPage13;
         private System.Windows.Forms.TabPage tabPage14;
         private System.Windows.Forms.ToolTip toolTip1;
-        private System.Windows.Forms.Button btnReLoadMessage;
-        private System.Windows.Forms.ProgressBar UpDateProgress;
         private System.Windows.Forms.Button btnMessageEntry;
         private CustomControls.DataGridViewEX dgvSalesInProjects;
         private System.Windows.Forms.Label label11;
-        private System.Windows.Forms.Button btnReLoadSales;
-        private System.Windows.Forms.ProgressBar ProgressSalesProjects;
         private System.Windows.Forms.Button btnDataEntry;
-        private System.Windows.Forms.ProgressBar ProgressConstructionProjects;
-        private System.Windows.Forms.Button btnReloadConstructionProjects;
         private System.Windows.Forms.Label label12;
         private CustomControls.DataGridViewEX dgvConstructionProjects;
         private System.Windows.Forms.TabPage tabPage10;
-        private System.Windows.Forms.ProgressBar ProgressNonOrders;
-        private System.Windows.Forms.Button btnReloadNonOrders;
         private System.Windows.Forms.Label label13;
         private CustomControls.DataGridViewEX dgvNonOrders;
         private System.Windows.Forms.TabPage tabPage11;
         private System.Windows.Forms.TabPage tabPage18;
         private CustomControls.DataGridViewEX dgvCompletionOfConstruction;
-        private System.Windows.Forms.ProgressBar ProgressCompletionOfConstruction;
-        private System.Windows.Forms.Button btnReloadCompletionOfConstruction;
+        private System.Windows.Forms.ProgressBar MainProgressBar;
         private System.Windows.Forms.Label label14;
         private System.Windows.Forms.Label label20;
         private System.Windows.Forms.TabPage tabPage6;
@@ -7859,14 +7406,7 @@
         private System.Windows.Forms.Label label21;
         private CustomControls.DataGridViewEX dgvBudgetUp;
         private System.Windows.Forms.Label label22;
-        private System.Windows.Forms.ProgressBar ProgressTenders;
-        private System.Windows.Forms.ProgressBar ProgressBudgetUp;
-        private System.Windows.Forms.Button btnReLoadTenders;
-        private System.Windows.Forms.Button btnReLoadBudgetUp;
-        private System.Windows.Forms.Button btnReLoadActionSchedule;
         private System.Windows.Forms.Button btnActionSchdule;
-        private System.Windows.Forms.Button btnDispLeft;
-        private System.Windows.Forms.Button btnDispRight;
         private System.Windows.Forms.Button btnVehicleSchdule;
         private System.Windows.Forms.Label lblTotal01;
         private System.Windows.Forms.Label label23;
@@ -7877,23 +7417,15 @@
         private System.Windows.Forms.Label label30;
         private System.Windows.Forms.Label label28;
         private System.Windows.Forms.Label label15;
-        private System.Windows.Forms.Button btnReLoadStaffAssignment;
         private CustomControls.DataGridViewEX dgvStaffAssignment;
         private System.Windows.Forms.TabPage tabPage1;
-        private System.Windows.Forms.ProgressBar BusinessProgress;
-        private System.Windows.Forms.Button btnReLoadBusinessMsg;
+        private System.Windows.Forms.Button btnReLoadData;
         private CustomControls.DataGridViewEX dgvBusinessMessage;
-        private System.Windows.Forms.ProgressBar progBarStaffAssignment;
-        private System.Windows.Forms.ProgressBar progBarSalesGraph;
-        private System.Windows.Forms.Button btnReLoadSalesGraph;
         private System.Windows.Forms.Label label24;
         private System.Windows.Forms.DataVisualization.Charting.Chart chartSalesGraph;
-        private System.Windows.Forms.Label lblSalesGraphUpdate;
         private System.Windows.Forms.Timer timer_StaffAssign;
         private CustomControls.DataGridViewEX dgvActionSchedule;
         private System.Windows.Forms.TabPage tabPage3;
-        private System.Windows.Forms.Button btnReLoadConstrApp;
-        private System.Windows.Forms.ProgressBar ProgressConstrApp;
         private CustomControls.DataGridViewEX dgvApproval;
         private System.Windows.Forms.Label label27;
         private System.Windows.Forms.Label label26;
@@ -7900,11 +7432,7 @@
         private System.Windows.Forms.Label label25;
         private System.Windows.Forms.Label label29;
         private System.Windows.Forms.Label label31;
-        private System.Windows.Forms.Button btnDataCopyA;
-        private System.Windows.Forms.Button btnDataCopyB;
-        private System.Windows.Forms.Button btnDataCopyC;
-        private System.Windows.Forms.Button btnDataCopyD;
-        private System.Windows.Forms.Button btnDataCopyE;
+        private System.Windows.Forms.Button btnDataCopy;
         private System.Windows.Forms.DataGridViewTextBoxColumn ActionCol00;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column22;
         private System.Windows.Forms.DataGridViewTextBoxColumn ActionCol01;
@@ -8005,9 +7533,6 @@
         private System.Windows.Forms.TabPage tabPage9;
         private System.Windows.Forms.Label label59;
         private CustomControls.DataGridViewEX dgvFluctuationProjects;
-        private System.Windows.Forms.Button btnDataCopyF;
-        private System.Windows.Forms.Button btnReloadFluctuationProjects;
-        private System.Windows.Forms.ProgressBar ProgressFluctuationProjects;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column15;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column10;
@@ -8237,8 +7762,6 @@
         private System.Windows.Forms.Label label6;
         private System.Windows.Forms.Label label7;
         private System.Windows.Forms.Label label8;
-        private System.Windows.Forms.Button btnReLoadPersonApp;
-        private System.Windows.Forms.ProgressBar ProgressPersonApp;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn79;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn80;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn81;
@@ -8288,6 +7811,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column48;
         private System.Windows.Forms.ComboBox cmbDepartment;
         private System.Windows.Forms.Label label16;
+        private System.Windows.Forms.Button btnConstrSearch;
     }
 }
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 267)
@@ -1238,7 +1238,7 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void btnReLoad_Click(object sender, EventArgs e)
+        private void btnReLoadData_Click(object sender, EventArgs e)
         {
             // データ表示
             DisplayGridList();
@@ -1245,6 +1245,18 @@
         }
         #endregion
 
+        #region 工事検索ボタン
+        /// <summary>
+        /// 工事検索ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnConstrSearch_Click(object sender, EventArgs e)
+        {
+            ConstructionSearch();
+        }
+        #endregion
+
         #region 案件情報系イベントメソッド
         #region 工事情報登録画面へ
         /// <summary>
@@ -1525,7 +1537,7 @@
                         // 所属長以上は書き込める
                         if (CommonMotions.LoginUserSecurity.SecRank != CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key) bPatmission = true;
                         // 所属長以上でなくても総務部は書き込める
-                        if (CommonMotions.LoginUserSecurity.GeneralAffairs == (int)CommonDefine.GeneralAffairs.GeneralDep) bPatmission = true;
+                        if (CommonMotions.LoginUserSecurity.GeneralAffairs == (int)SecurityMaster.GeneAffDef.GeneralDep) bPatmission = true;
                     }
                 }
                 else if (PersonCode == CommonDefine.s_DivisionActionCode)
@@ -2104,7 +2116,7 @@
         {
             if (bGraphNotDrow) return;
 
-            DispSalesGraph(false);
+            DispSalesGraph();
         }
         #endregion
 
@@ -2118,7 +2130,7 @@
         {
             if (bGraphNotDrow) return;
 
-            DispSalesGraph(false);
+            DispSalesGraph();
         }
         #endregion
 
@@ -2154,7 +2166,7 @@
         {
             if (bGraphNotDrow) return;
 
-            DispSalesGraph(false);
+            DispSalesGraph();
         }
         #endregion
 
